> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trading Order Detail



## OpenAPI

````yaml Wallet get /{walletId}/trading/{orderId}
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /{walletId}/trading/{orderId}:
    get:
      tags:
        - Order
      summary: Get Trading Order Detail
      operationId: OrderController_getTradingOrderDetail
      parameters:
        - name: tenantId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: walletId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: orderId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: Get Trading Order Detail
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingOrderDetailDto'
      security:
        - default: []
components:
  schemas:
    TradingOrderDetailDto:
      required:
        - OrderType
        - averagePrice
        - closedAt
        - fee
        - id
        - openedAt
        - orderSide
        - pair
        - price
        - status
        - totalCost
        - trades
        - volume
        - volumeExecuted
      type: object
      properties:
        id:
          type: string
        volume:
          type: string
        price:
          type: string
        status:
          type: string
          enum:
            - created
            - validated
            - sentToExchange
            - pending
            - confirmedByAdmin
            - waitingForLimit
            - placed
            - partialFilled
            - closed
            - rejected
            - duplicated
            - customerDenied
            - limitReached
        OrderType:
          type: string
          enum:
            - buy
            - sell
            - deposit
            - withdraw
            - transfer
            - suspend
            - reverse
        orderSide:
          type: string
          enum:
            - market
            - limit
        pair:
          type: string
        volumeExecuted:
          type: string
        averagePrice:
          type: string
        openedAt:
          type: string
          format: date-time
        closedAt:
          type: string
          format: date-time
        totalCost:
          type: string
        fee:
          type: string
        trades:
          type: array
          items:
            $ref: '#/components/schemas/TradeDto'
    TradeDto:
      required:
        - executedAt
        - id
        - pair
        - price
        - side
        - total
        - type
        - volume
      type: object
      properties:
        id:
          type: string
        executedAt:
          type: string
          format: date-time
        type:
          type: string
          enum:
            - buy
            - sell
            - deposit
            - withdraw
            - transfer
            - suspend
            - reverse
        side:
          type: string
          enum:
            - market
            - limit
        pair:
          type: string
        price:
          type: string
        volume:
          type: string
        total:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````